Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.x509
Class KeyUsage

    java.lang.Object
      com.mindbright.asn1.ASN1Object
          com.mindbright.asn1.ASN1String
              com.mindbright.asn1.ASN1BitString
                  com.mindbright.security.x509.KeyUsage

public class KeyUsage
extends ASN1BitString

Represents the key usage parameters of a certificate.

     KeyUsage ::= BIT STRING {
            digitalSignature(0),
            nonRepudiation(1),
            keyEncipherment(2),
            dataEncipherment(3),
            keyAgreement(4),
            keyCertSign(5),
            cRLSign(6),
            encipherOnly(7),
            decipherOnly(8)
    }

Field Summary
`static int` | `CRLSign`
`static int` | `DataEncipherment`
`static int` | `DecipherOnly`
`static int` | `DigitalSignature`
`static int` | `EncipherOnly`
`static int` | `KeyAgreement`
`static int` | `KeyCertSign`
`static int` | `KeyEncipherment`
`static int` | `NonRepudiation`

Fields inherited from class com.mindbright.asn1.ASN1String
`value`

Fields inherited from class com.mindbright.asn1.ASN1Object
`isSet, tag`

Constructor Summary
`KeyUsage()`

Method Summary
`boolean` | `getField(int i)`
`java.lang.String` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class com.mindbright.asn1.ASN1BitString
`getBitArray, getBitCount, getBooleanArray, setBitArray, setBooleanArray, toPrintableString`

Methods inherited from class com.mindbright.asn1.ASN1String
`decodeValue, encodeValue, getRaw, setRaw`

Methods inherited from class com.mindbright.asn1.ASN1Object
`decodeValue, getTag, getType, isSet, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DigitalSignature

    public static final int DigitalSignature

See Also:
  Constant Field Values

### NonRepudiation

    public static final int NonRepudiation

See Also:
  Constant Field Values

### KeyEncipherment

    public static final int KeyEncipherment

See Also:
  Constant Field Values

### DataEncipherment

    public static final int DataEncipherment

See Also:
  Constant Field Values

### KeyAgreement

    public static final int KeyAgreement

See Also:
  Constant Field Values

### KeyCertSign

    public static final int KeyCertSign

See Also:
  Constant Field Values

### CRLSign

    public static final int CRLSign

See Also:
  Constant Field Values

### EncipherOnly

    public static final int EncipherOnly

See Also:
  Constant Field Values

### DecipherOnly

    public static final int DecipherOnly

See Also:
  Constant Field Values

Constructor Detail

### KeyUsage

    public KeyUsage()

Method Detail

### getField

    public boolean getField(int i)

### toString

    public java.lang.String toString()

### getValue

    public java.lang.String getValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD